{%  extends "base.html" %}

{%  block content %}
<h1></h1>
<div class="container-fluid">
    <div class="row">
        <div class="col-lg-6">
            <div class="alert alert-secondary" role="alert">
                <h3>Введите ссылки на интересующие Merge Request</h3>
            </div>
            <div class="container">
                <form action="/stats" method="post">
                    <div class="form-group row">
                        <label for="inputRepos" class="col-sm-3 col-form-label">Ссылка на репозиторий</label>
                        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
                        <script>
                            function add_input(){
                                var inputs = $('.inputs input[type="text"]');
                                var new_id = inputs.length+1;
                                $('.inputs').append('<input type="text" class="form-control" id="name-'+new_id+'" name="name-'+new_id+'"/>');
                            }
                        </script>
                        <div class="col-sm-6">
                            <div class="inputs">
                                <input type="text" class="form-control" id="name-1" name="name-1">
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6">
                            <input type="button" class="btn btn-primary btn" onclick="add_input()" value="Добавить еще одну ссылку" />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="inputToken" class="col-sm-3 col-form-label">Приватный токен Gitlab</label>
                        <div class="col-sm-6">
                            <input type="password" class="form-control" id="inputToken" name="inputToken">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-sm-2 col-sm-10">
                            <button type="submit" class="btn btn-primary btn-lg" id="submit" name="submit">Обработать ссылки с проектами</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

{% endblock %}